[filename, pathname] = uigetfile('*sector_info.mat', 'Pick an M-file');
if isequal(filename,0) | isequal(pathname,0)
    disp('User pressed cancel')
    return;
else
    disp(['User selected ', fullfile(pathname, filename)])
    l = load(fullfile(pathname, filename));
end
l = l.sector_info;
figure(1); clf; hold on;
for i=1:length(l)
    plot_ellipse(gca, l(i));
end
axis image ij;